How to install compass on Debian

Sass is an extension of CSS3 which adds nested rules, variables, mixins, selector inheritance, and more. Sass generates well formatted CSS and makes your stylesheets easier to organize and maintain.

Compass is a tool to work with Sass and made it more easy and funnier to use.

This is a quick guide about how to install compass in Debian.

Here are the commands that you must run

sudo apt-get install ruby-full rubygems1.8
sudo gem install sass
sudo gem install compass

Optional

sudo gem install zen-grids
sudo gem install sassy-buttons

For Theme Development in Drupal based on Omega Theme, you’ll need this

gem install compass-normalize
gem install compass-rgbapng
gem install toolkit
gem install susy

5 thoughts on “How to install compass on Debian

  1. hi,
    I am on Debian 7.8 stable.
    I have setup ruby-compass by apt.

    I have ruby 1.9.3 installed.
    should I still install rubygems1.8 ? why I needit ?

    thank you

    1. If you have installed compass with apt you are good, don’t need to do anything else, but is going to be a older version depending on which Debian branch are you using.

      I don’t prefer use older versions, that’s why I use ruby and gems to install a newer version.

  2. I’m on Debian 8.1 and Compass installs just fine but won’t run. I get a page of errors when I try, the top one being:
    /var/lib/gems/2.1.0/gems/compass-core-1.0.3/lib/compass/core/sass_extensions/functions/urls.rb:5:in `has?’: undefined method `has?’ for Sass::Util:Module (NoMethodError)

    Any ideas?

    1. That sounds to an incorrect ruby, gems, sass or compass versions. Something similar happen to me one time, what I did is remove all, everything, ruby, gems, sass, compass and sass and reinstall everything from scratch using the right versions.

Leave a Reply to bob Cancel reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.